# Uses of Enum Class
javafx.scene.control.TreeTableColumn.SortType

Packages that use TreeTableColumn.SortType
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of TreeTableColumn.SortType in javafx.scene.control

Methods in javafx.scene.control that return TreeTableColumn.SortType
Modifier and Type
Method
Description
`final TreeTableColumn.SortType`
TreeTableColumn.`getSortType()`
Gets the value of the `sortType` property.
`static TreeTableColumn.SortType`
TreeTableColumn.SortType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TreeTableColumn.SortType[]`
TreeTableColumn.SortType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.control that return types with arguments of type TreeTableColumn.SortType
Modifier and Type
Method
Description
`final ObjectProperty<TreeTableColumn.SortType>`
TreeTableColumn.`sortTypeProperty()`
Used to state whether this column, if it is part of a sort order (see `TreeTableView.getSortOrder()` for more details), should be sorted in ascending or descending order.
Methods in javafx.scene.control with parameters of type TreeTableColumn.SortType
Modifier and Type
Method
Description
`final void`
TreeTableColumn.`setSortType(TreeTableColumn.SortType value)`
Sets the value of the `sortType` property.